Stop a scan
Stops a running scan and returns its status. Members can stop their own pentests and any pull request scan. Organisation admins can stop any scan. You need the member role or above.
Request
POST /scans/{id}/stop
Send an API key with the write scope in the X-Api-Key header.
Path parameters
| Parameter | Description |
|---|---|
idstring, required |
Responses
200 OK
| Field | Description |
|---|---|
idstring, required | |
task_idstring, required | |
statusstring, required | One of pending, running, completed, failed, stopped, cancelled, skipped, pending_verification, pending_triage, draft, estimating, or estimated. |
created_atstring, required | |
updated_atstring, required |